# Image credits

```http
GET https://api.synup.com/api/v4/social-post-ideas/image-credits
```

Returns the image-generation credit status for a brand (social profile) — monthly limit, used/remaining this month, and any add-on credit pool.

Source: https://developer.synup.com/api/social-post-ideas/image-credits

## Query parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `socialProfileId` | string | required | Social profile ID. |

## Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Synup-Version` | string | required | API version date (YYYY-MM-DD). |

## Example request

```bash
curl -X GET 'https://api.synup.com/api/v4/social-post-ideas/image-credits' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Successful response |
| `401` | Unauthorized - Invalid or missing API key |
